Rename Example |
Using Programming Languages other than VBA
Sub Example_Rename() ' This example creates a dictionary and adds ' a custom object to that dictionary. It then ' renames the object in the dictionary. Dim dictObj As AcadDictionary Set dictObj = ThisDrawing.Dictionaries.Add("TEST_DICTIONARY") ' Load the ObjectARX application that defines the custom object. ' Note: The application listed here does not exist and ' will cause an error when run. Change the application name ' to the path and name of your ObjectARX application. ThisDrawing.Application.LoadArx ("MyARXApp.dll") ' Create the custom object in the dictionary Dim keyName As String Dim className As String Dim customObj As AcadObject keyName = "OBJ1" className = "CAsdkDictObject" Set customObj = dictObj.AddObject(keyName, className) ' Rename the object dictObj.Rename keyName, "NewKeyName" End Sub
Public Sub Example_RenameLayerSettings() ' This example renames a set of saved layer settings from ' "ColorLinetype" to "OldColorLinetype." Dim oLSM As AcadLayerStateManager ' Access the LayerStateManager object. Set oLSM = ThisDrawing.Application. _ GetInterfaceObject("AutoCAD.AcadLayerStateManager.16") ' Associate the current drawing database with the ' LayerStateManager object. oLSM.SetDatabase ThisDrawing.Database ' Rename the saved layer settings. oLSM.Rename "ColorLinetype", "OldColorLinetype" End Sub
Comments? |